local images = lt.LoadImages({"gameover", "insert_coin"})

local gscene = lt.Layer()

local t = 1.7
local
function add_text(delay)
    local gameover = images.gameover:Tint(1, 0, 0):Scale(1)
    gameover:Tween{delay = delay, time = 1.7, scale = 1.15, alpha = 0, green = 1, action = function()
        gscene:Remove(gameover)
        add_text(0)
    end}
    gscene:Insert(gameover)
end
for i = 0, t, t/6 do
    add_text(i)
end
gscene:Insert(images.gameover:Tint(1, 0, 0))

local iscene = images.insert_coin:Scale(0.6)
local alt = false
iscene:Action(function(dt)
    if alt then
        iscene.child = nil
        alt = false
    else
        iscene.child = images.insert_coin
        alt = true
    end
    return 0.4
end)

local scene = lt.Layer(gscene:Translate(0, -20), iscene:Translate(0, -10))

return scene:BlendMode("add")
